import syntaxOptionalCatchBinding from '@babel/plugin-syntax-optional-catch-binding';

function index ({
  types: t
}) {
  return {
    inherits: syntaxOptionalCatchBinding.default,
    visitor: {
      CatchClause(path) {
        if (path.node.param === null || !t.isIdentifier(path.node.param)) {
          return;
        }
        const binding = path.scope.getOwnBinding(path.node.param.name);
        if (binding.constantViolations.length > 0) {
          return;
        }
        if (!binding.referenced) {
          const paramPath = path.get("param");
          paramPath.remove();
        }
      }
    }
  };
}

export { index as default };
//# sourceMappingURL=index.js.map
